org.crosswire.jsword.book.filter.plaintext

## Class PlainTextFilter

- java.lang.Object
- - org.crosswire.jsword.book.filter.plaintext.PlainTextFilter

- All Implemented Interfaces:
    Cloneable, SourceFilter

      public class PlainTextFilter
      extends Object
      implements SourceFilter

  Filter to convert plain text to OSIS format. Plain text is nothing more than lines without markup. Unfortunately, it often uses whitespace for markup. We will use OSIS lb to mark lines.
  Author:
    Joe Walker
  See Also:
    `The GNU Lesser General Public License for details.`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PlainTextFilter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `PlainTextFilter` | `clone()` This needs to be declared here so that it is visible as a method on a derived Filter.
    `List<org.jdom2.Content>` | `toOSIS(Book book, Key key, String plain)` Converter from plain (encoded) text to OSIS data

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PlainTextFilter

          public PlainTextFilter()

  - ### Method Detail

    - #### toOSIS

          public List<org.jdom2.Content> toOSIS(Book book,
                                       Key key,
                                       String plain)

      Description copied from interface: `SourceFilter`
      Converter from plain (encoded) text to OSIS data
      Specified by:
        `toOSIS` in interface `SourceFilter`
      Parameters:
        `book` - the book
        `key` - The key for the text
        `plain` - The encoded text
      Returns:
        a List of OSIS Elements

    - #### clone

          public PlainTextFilter clone()

      Description copied from interface: `SourceFilter`
      This needs to be declared here so that it is visible as a method on a derived Filter.
      Specified by:
        `clone` in interface `SourceFilter`
      Overrides:
        `clone` in class `Object`
      Returns:
        A complete copy of ourselves